require 'test_helper'

class MessageAttachmentTest < ActiveSupport::TestCase

  test "message_attachment should validate message id presence and file readability" do
    msg = Message.create subject: "test"
    fil1 = File.join Rails.root, '..',"attachment_1"
    fil2 = File.join Rails.root, '..',"support/attachment_2"
    fil3 = ""
    
    attachments = [ MessageAttachment.create!( message: msg, file: fil1), MessageAttachment.create!( message: msg, file: fil2) ]
    assert_equal 2, attachments.size
    begin
      ma=MessageAttachment.create!( message: msg, file: fil3)
    rescue ActiveRecord::RecordInvalid
    end
    assert_equal ma, nil

  end

end
